//  Persistance of Vision Raytracer V3.0
//  World definition file.
//
//  Contains 1 lights, 2 textures and 11 primitives.
//
//  This file was generated for POV-Ray V3.0 by
//  MORAY.EXE V2.5a.wat(c) 1991-1995 Lutz + Kretzschmar
//

//  Date : 04/08/1997    (08.04.1997)
//

//
//  This is the standard include file for POV-Ray. It is included with
//  every scene that Moray exports for POV-Ray.
//





global_settings {
  adc_bailout 0.003922
  ambient_light <1.0,1.0,1.0>
  assumed_gamma 1.8
  hf_gray_16 off
  irid_wavelength <0.25,0.18,0.14>
  max_intersections 64
  max_trace_level 10
  number_of_waves 10
  radiosity {
    brightness       3.3
    count            100
    distance_maximum 0.0
    error_bound      0.4
    gray_threshold   0.5
    low_error_factor 0.8
    minimum_reuse    0.015
    nearest_count    6
    recursion_limit  1
  }
}

background { color <0.000,0.000,0.000> }

camera {  //  Camera Camera01
  location  <1.000, -8.000, 5.000>
  direction <0.0,     0.0,  2.5899>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.33333, 0.0,  0.0>
  look_at   <0.000, 0.000, 1.000>
}

// *******  L I G H T S *******
light_source {   // Light001
  <16.099, 12.797, 19.814>
  color rgb <1.000, 1.000, 1.000>
}


// ********  TEXTURES  *******
//

#include "gitter.inc"



// ********  REFERENCED OBJECTS  *******

#declare Cylndr001 = object {
  cylinder { // Cylndr001
    <0,0,1>, <0,0,0>, 1 
    texture {
      akser
    }
    scale <0.01, 0.01, 10.0>
    rotate -90.0*y
    translate  5.0*x
  }
}
#declare CSG001 = union {
  object { // Cylndr7->Cylndr001
    Cylndr001
    translate  6.0*y
  }
  object { // Cylndr6->Cylndr001
    Cylndr001
    translate  5.0*y
  }
  object { // Cylndr5->Cylndr001
    Cylndr001
    translate  4.0*y
  }
  object { // Cylndr4->Cylndr001
    Cylndr001
    translate  3.0*y
  }
  object { // Cylndr3->Cylndr001
    Cylndr001
    translate  2.0*y
  }
  object { // Cylndr2->Cylndr001
    Cylndr001
    translate  1.0*y
  }
  object { Cylndr001 }
  translate  -3.0*y
}




// ********  OBJECTS  *******

cone { // Cone001
  <0,0,0>, 0.0, <0,0,1>, 1.0
  texture {
    akser
  }
  scale <0.02, 0.02, 2.0>
  rotate <180.0, 0.0, 180.0>
  translate  1.0*z
}


lathe {
  cubic_spline
  17  // control points
  <0.000556, -0.734558>,
  <0.002778, -0.997727>,
  <0.13511, -0.731889>,
  <0.34893, -0.581816>,
  <0.406122, -0.419433>,
  <0.227442, -0.305726>,
  <0.51514, -0.173719>,
  <0.57221, 0.04046>,
  <0.366403, 0.098666>,
  <0.672702, 0.32368>,
  <0.60572, 0.5409>,
  <0.283522, 0.605636>,
  <0.495618, 0.762711>,
  <0.446509, 0.91368>,
  <0.200039, 0.950826>,
  <0.000556, 1.019544>,
  <0.000497, 0.784007>
  rotate <90,0,90>
  texture {
    Jade1
  }
  scale <1.0, 0.01, 1.0>
}


union { // CSG002
  object { // CSG2->CSG001
    CSG001
    rotate -90.0*z
    translate  1.0*y
  }
  object { CSG001 }
  translate  0.01*z
}




